aboutsummaryrefslogtreecommitdiffstats
path: root/plugins/imgthumb
diff options
context:
space:
mode:
authorGravatar Arun Prakash Jana <engineerarun@gmail.com>2019-11-22 17:51:13 +0530
committerGravatar Arun Prakash Jana <engineerarun@gmail.com>2019-11-22 17:51:13 +0530
commit594d645e259083b217518ef0507edfe5395711af (patch)
tree531fcf59d50287011797fd3179258379b0376622 /plugins/imgthumb
parent085bda03305ffd5cb502743a06ac6b2513b7234e (diff)
downloadnnn-594d645e259083b217518ef0507edfe5395711af.tar.gz
Rename plugins, group related ones
Diffstat (limited to 'plugins/imgthumb')
-rwxr-xr-xplugins/imgthumb17
1 files changed, 17 insertions, 0 deletions
diff --git a/plugins/imgthumb b/plugins/imgthumb
new file mode 100755
index 0000000..8882115
--- /dev/null
+++ b/plugins/imgthumb
@@ -0,0 +1,17 @@
+#!/usr/bin/env sh
+
+# Description: View thumbnail of an image or a directory of images with lsix
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ]; then
+ if [ -d "$1" ]; then
+ lsix "$1"/*
+ else
+ lsix "$1"
+ fi
+
+ printf "Press any key to exit..."
+ read -r _
+fi